
TYPO3 Flow Base Distribution - Bug # 27482

Status: Resolved Priority: Must have
Author: Bastian Waidelich Category:
Created: 2011-06-15 Assigned To: Karsten Dambekalns
Updated: 2011-08-04 Due date:
Affected Flow version:
Subject: CLI not working on Windows
Description

It seems, Git [1] "resolves" symlinks on Windows by creating a file that only contains the relative path to the target file.
E.g. it replaces (
http://git.typo3.org/FLOW3/Distributions/Base.git?a=blob;f=flow3;h=2843cf594ee6b2d77c11afdd7ea8ead25d49048b;hb=HEAD) with a
file that contains the string "Packages/Framework/FLOW3/Scripts/flow3" when one pulls the distribution.
See http://code.google.com/p/msysgit/issues/detail?id=224 for a corresponding bug report in the msysgit project.

Among other things this leads to the situation, that CLI arguments are stripped off when executing Commands through the console.

[1] using msysgit

Related issues:
related to TYPO3.Flow - Feature # 4426: Provide Windows compatible version of... Resolved

Associated revisions
Revision e7681c8c - 2011-07-06 18:51 - Karsten Dambekalns

[TASK] Simplify CLI use, add batch file

Removes the two scripts for Development and Production context and
keeps one script instead. To change the context, use the environment
variable FLOW3_CONTEXT.

Also adds a flow3.bat file for use on Windows.

Change-Id: Idd7d74c6c4a2ad4b88f3d5849681d2bb289e94b9
Fixes: #27482
Resolves: #4426

History
#1 - 2011-06-22 14:04 - Karsten Dambekalns
It doesn't "seem" to be like this, it is.
    -  http://code.google.com/p/msysgit/issues/detail?id=224
    -  http://code.google.com/p/msysgit/issues/detail?id=344
    -  http://stackoverflow.com/questions/954560/what-does-git-do-to-files-that-are-a-symbolic-link
Could this be made into an easy to use tool for Windows users?
    -  http://stackoverflow.com/questions/5917249/git-symlinks-in-windows

#2 - 2011-06-22 17:24 - Bastian Waidelich

Karsten Dambekalns wrote:
Could this be made into an easy to use tool for Windows users?    -  http://stackoverflow.com/questions/5917249/git-symlinks-in-windows

Not too sure..
Instead we could replace the symlink by a file that contains

1#!/usr/bin/env php
2<?php
3require('Packages/Framework/FLOW3/Scripts/flow3');
4?>

instead...!?

#3 - 2011-07-06 17:31 - Mr. Hudson

Patch set 1 of change Ie4b3d9d5f620572b926b7f975102b2b09471c42b has been pushed to the review server.
It is available at http://review.typo3.org/3049

#4 - 2011-07-06 17:34 - Karsten Dambekalns
- Status changed from New to Under Review
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 beta 1

#5 - 2011-07-06 17:52 - Mr. Hudson

Patch set 1 of change Ibfae85839e4620e584af141e62c3c5886f575a4e has been pushed to the review server.
It is available at http://review.typo3.org/3053

#6 - 2011-07-06 17:59 - Mr. Hudson

Patch set 1 of change Idd7d74c6c4a2ad4b88f3d5849681d2bb289e94b9 has been pushed to the review server.
It is available at http://review.typo3.org/3056

#7 - 2011-07-06 18:00 - Mr. Hudson

Patch set 2 of change Idd7d74c6c4a2ad4b88f3d5849681d2bb289e94b9 has been pushed to the review server.
It is available at http://review.typo3.org/3056

#8 - 2011-07-06 19:35 - Mr. Hudson

Patch set 3 of change Idd7d74c6c4a2ad4b88f3d5849681d2bb289e94b9 has been pushed to the review server.
It is available at http://review.typo3.org/3056

#9 - 2011-08-04 08:20 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
#10 - 2011-08-04 08:20 - Sebastian Kurfuerst
- % Done changed from 0 to 100
